<?php
/**
 * Plugin Name: Change HKD Currency Symbol
 * Description: Changes the currency symbol for Hong Kong Dollars to "HK$".
 * Version: 1.0
 * Author: Guang Huidie
 * Author URI: guanghuidie.com
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

// Change the currency symbol for Hong Kong Dollars
function change_hkd_currency_symbol( $currency_symbol, $currency ) {
    if ( 'HKD' === $currency ) {
        return 'HK$'; // Change to HK$
    }
    return $currency_symbol;
}
add_filter( 'woocommerce_currency_symbol', 'change_hkd_currency_symbol', 10, 2 );
